﻿<UserControl
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    xmlns:sdk="http://schemas.microsoft.com/winfx/2006/xaml/presentation/sdk" x:Class="RecieptPrintControl.Reciept" mc:Ignorable="d" d:Height="278" Width="404" Height="371">
    <StackPanel Margin="0,0,0,30">

        <StackPanel Orientation="Horizontal" Margin="22,0,20,0">
            <TextBlock Height="23" HorizontalAlignment="Center" x:Name="Business" VerticalAlignment="Top" Width="Auto" Text="Name: "/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="StoreName" VerticalAlignment="Top" Width="Auto" Text="{Binding Screen.StoreDetails.StoreName, Mode=OneWay}"/>
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="22,0,20,0">
            <TextBlock Height="23" HorizontalAlignment="Center" x:Name="Address" VerticalAlignment="Top" Width="Auto" Text="Po Box: "/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="AddressDetails" VerticalAlignment="Top" Width="Auto" Text="{Binding Screen.StoreDetails.Address, Mode=OneWay}"/>
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="22,0,20,0">
            <TextBlock Height="23" HorizontalAlignment="Center" x:Name="Phone" VerticalAlignment="Top" Width="Auto" Text="Phone: "/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="Phone1" VerticalAlignment="Top" Width="Auto" Text="{Binding Screen.StoreDetails.Phone1, Mode=OneWay}"/>
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="22,0,20,0">
            <TextBlock Height="23" HorizontalAlignment="left" x:Name="VAT" VerticalAlignment="Top" Width="Auto" Text="VAT: "/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="KRAVAT" VerticalAlignment="Top" Width="138" Margin="0,0,10,0" Text="{Binding Screen.StoreDetails.PIN, Mode=OneWay}"/>
            <TextBlock Height="23" HorizontalAlignment="left" x:Name="PIN" VerticalAlignment="Top" Width="Auto" Text="PIN: "/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="KRAPIN" VerticalAlignment="Top" Width="138" Text="{Binding Screen.StoreDetails.PIN, Mode=OneWay}"/>
        </StackPanel>
        <Border BorderThickness="1" BorderBrush="#FF504F4F" Margin="10,10,10,0"/>
        <StackPanel Orientation="Horizontal" Margin="10,20,0,0">
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="Prd" VerticalAlignment="Top" Width="90" Text="Product"/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="Prc" VerticalAlignment="Top" Width="100" Text="Price"/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="Qtys" VerticalAlignment="Top" Width="104" Text="Qty"/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="Subt" VerticalAlignment="Top" Width="97" Text="Subtotal"/>

        </StackPanel>
        <Grid x:Name="LayoutRoot">

                <Grid.RowDefinitions>

                    <RowDefinition Height="0.053*"/>

                    <RowDefinition Height="0.08*"/>

                    <RowDefinition Height="0.533*"/>

                    <RowDefinition Height="0.133*"/>

                    <RowDefinition Height="0.2*"/>

                </Grid.RowDefinitions>
                                
                <sdk:DataGrid ItemsSource="{Binding Screen.SalesOrderDetails, Mode=OneWay}" AutoGenerateColumns="False" Grid.Row="2" Grid.Column="1" Grid.ColumnSpan="4" >
                        
                    <sdk:DataGrid.Columns>
                        
                        <sdk:DataGridTextColumn x:Name="Product" Binding="{Binding Product}" CanUserSort="True" DisplayIndex="0" Header="Product" MaxWidth="100" MinWidth="50" Visibility="Visible" Width="100"/>

                        <sdk:DataGridTextColumn x:Name="Price" Binding="{Binding Price, StringFormat=C}" CanUserSort="True" DisplayIndex="1" Header="Price" MaxWidth="100" MinWidth="50" Visibility="Visible" Width="100" CanUserResize="True"/>

                        <sdk:DataGridTextColumn x:Name="Qty" Binding="{Binding Quantity, StringFormat=C}" CanUserSort="True" DisplayIndex="2" Header="Qty" MaxWidth="100" MinWidth="50" Visibility="Visible" Width="100"/>

                        <sdk:DataGridTextColumn x:Name="SubTotal" Binding="{Binding SubTotal, StringFormat=C}" CanUserSort="True" DisplayIndex="3" Header="Sub Total" MaxWidth="100" MinWidth="50" Visibility="Visible" Width="100"/>

                    </sdk:DataGrid.Columns>

                </sdk:DataGrid>
            </Grid>
        <Border BorderThickness="1" BorderBrush="#FF504F4F" Margin="10,10,10,0"/>
        <StackPanel Orientation="Horizontal" Margin="22,10,20,0">
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="Totals" VerticalAlignment="Top" Width="Auto" Text="Total: "/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="Total" VerticalAlignment="Top" Width="Auto" Text="{Binding Screen.SalesOrderHeaderProperty.OrderTotal, Mode=TwoWay}" FontSize="14" />
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="22,0,20,0">
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="AmtPaid" VerticalAlignment="Top" Width="Auto" Text="Amount Paid: "/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="AmountPaid" VerticalAlignment="Top" Width="Auto" Text="{Binding Screen.SalesOrderHeaderProperty.AmountPaid, Mode=TwoWay}" FontSize="14" />
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="22,0,20,0">
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="AmtDue" VerticalAlignment="Top" Width="Auto" Text="Amount Due: "/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="AmountDue" VerticalAlignment="Top" Width="Auto" Text="{Binding Screen.SalesOrderHeaderProperty.AmountDue, Mode=TwoWay}" FontSize="14" />
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="22,0,20,0">
            <TextBlock Height="23" HorizontalAlignment="Center" x:Name="Employee" VerticalAlignment="Top" Width="Auto" Text="Served by:"/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="ServedBy" VerticalAlignment="Top" Width="Auto" Text="{Binding Screen.SalesOrderHeaderProperty.Employee, Mode=TwoWay}" FontSize="14" />
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="22,0,20,0">
            <TextBlock Height="23" HorizontalAlignment="Center" x:Name="DatTime" VerticalAlignment="Top" Width="Auto" Text="Reciept-Date:"/>
            <TextBlock Height="23" HorizontalAlignment="Left" x:Name="RecieptDate" VerticalAlignment="Top" Width="Auto" FontSize="14" />
        </StackPanel>
        <Button Content="Print" x:Name="btnPrint" Click="PrintButton_Click" Margin="0,0,314,0" />
    </StackPanel>
</UserControl>